Upstream information

CVE-2018-2783 at MITRE

Description

Vulnerability in the Java SE, Java SE Embedded, JRockit component of Oracle Java SE (subcomponent: Security). Supported versions that are affected are Java SE: 6u181, 7u161 and 8u152; Java SE Embedded: 8u152; JRockit: R28.3.17. Difficult to exploit vulnerability allows unauthenticated attacker with network access via multiple protocols to compromise Java SE, Java SE Embedded, JRockit. Successful attacks of this vulnerability can result in unauthorized creation, deletion or modification access to critical data or all Java SE, Java SE Embedded, JRockit accessible data as well as unauthorized access to critical data or complete access to all Java SE, Java SE Embedded, JRockit accessible data. Note: Applies to client and server deployment of Java. This vulnerability can be exploited through sandboxed Java Web Start applications and sandboxed Java applets. It can also be exploited by supplying data to APIs in the specified Component without using sandboxed Java Web Start applications or sandboxed Java applets, such as through a web service. CVSS 3.0 Base Score 7.4 (Confidentiality and Integrity impacts). CVSS Vector: (CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:N).

SUSE information

Overall state of this security issue: Pending

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 5.8
Vector AV:N/AC:M/Au:N/C:P/I:P/A:N
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact None
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 7.4 7.4
Vector AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:N AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:N
Access Vector Network Network
Access Complexity High High
Privileges Required None None
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact High High
Integrity Impact High High
Availability Impact None None
SUSE Bugzilla entries: 1090022 [NEW], 1093311 [NEW]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Enterprise Storage 4
  • java-1_7_1-ibm >= 1.7.1_sr4.25-38.23.1
  • java-1_7_1-ibm-alsa >= 1.7.1_sr4.25-38.23.1
  • java-1_7_1-ibm-devel >= 1.7.1_sr4.25-38.23.1
  • java-1_7_1-ibm-jdbc >= 1.7.1_sr4.25-38.23.1
  • java-1_7_1-ibm-plugin >= 1.7.1_sr4.25-38.23.1
  • java-1_8_0-ibm >= 1.8.0_sr5.15-30.33.1
  • java-1_8_0-ibm-alsa >= 1.8.0_sr5.15-30.33.1
  • java-1_8_0-ibm-devel >= 1.8.0_sr5.15-30.33.1
  • java-1_8_0-ibm-plugin >= 1.8.0_sr5.15-30.33.1
Patchnames:
SUSE-Storage-4-2018-1176
SUSE-Storage-4-2018-1185
SUSE Linux Enterprise Point of Sale 11 SP3
  • java-1_7_0-ibm >= 1.7.0_sr10.25-65.25.1
  • java-1_7_0-ibm-alsa >= 1.7.0_sr10.25-65.25.1
  • java-1_7_0-ibm-devel >= 1.7.0_sr10.25-65.25.1
  • java-1_7_0-ibm-jdbc >= 1.7.0_sr10.25-65.25.1
  • java-1_7_0-ibm-plugin >= 1.7.0_sr10.25-65.25.1
Patchnames:
sleposp3-java-1_7_0-ibm-13628
SUSE Linux Enterprise Point of Sale 12 SP2-CLIENT
  • java-1_7_1-ibm >= 1.7.1_sr4.25-38.23.1
  • java-1_7_1-ibm-alsa >= 1.7.1_sr4.25-38.23.1
  • java-1_7_1-ibm-devel >= 1.7.1_sr4.25-38.23.1
  • java-1_7_1-ibm-jdbc >= 1.7.1_sr4.25-38.23.1
  • java-1_7_1-ibm-plugin >= 1.7.1_sr4.25-38.23.1
  • java-1_8_0-ibm >= 1.8.0_sr5.15-30.33.1
  • java-1_8_0-ibm-alsa >= 1.8.0_sr5.15-30.33.1
  • java-1_8_0-ibm-devel >= 1.8.0_sr5.15-30.33.1
  • java-1_8_0-ibm-plugin >= 1.8.0_sr5.15-30.33.1
Patchnames:
SUSE-SLE-POS-12-SP2-CLIENT-2018-1176
SUSE-SLE-POS-12-SP2-CLIENT-2018-1185
SUSE Linux Enterprise Server 11 SP3-LTSS
  • java-1_7_0-ibm >= 1.7.0_sr10.25-65.25.1
  • java-1_7_0-ibm-alsa >= 1.7.0_sr10.25-65.25.1
  • java-1_7_0-ibm-devel >= 1.7.0_sr10.25-65.25.1
  • java-1_7_0-ibm-jdbc >= 1.7.0_sr10.25-65.25.1
  • java-1_7_0-ibm-plugin >= 1.7.0_sr10.25-65.25.1
Patchnames:
slessp3-java-1_7_0-ibm-13628
SUSE Linux Enterprise Server 11 SP4
  • java-1_7_1-ibm >= 1.7.1_sr4.25-26.26.1
  • java-1_7_1-ibm-alsa >= 1.7.1_sr4.25-26.26.1
  • java-1_7_1-ibm-jdbc >= 1.7.1_sr4.25-26.26.1
  • java-1_7_1-ibm-plugin >= 1.7.1_sr4.25-26.26.1
Patchnames:
slessp4-java-1_7_1-ibm-13624
SUSE Linux Enterprise Server 12 SP1-LTSS
  • java-1_7_1-ibm >= 1.7.1_sr4.25-38.23.1
  • java-1_7_1-ibm-alsa >= 1.7.1_sr4.25-38.23.1
  • java-1_7_1-ibm-devel >= 1.7.1_sr4.25-38.23.1
  • java-1_7_1-ibm-jdbc >= 1.7.1_sr4.25-38.23.1
  • java-1_7_1-ibm-plugin >= 1.7.1_sr4.25-38.23.1
  • java-1_8_0-ibm >= 1.8.0_sr5.15-30.33.1
  • java-1_8_0-ibm-alsa >= 1.8.0_sr5.15-30.33.1
  • java-1_8_0-ibm-devel >= 1.8.0_sr5.15-30.33.1
  • java-1_8_0-ibm-plugin >= 1.8.0_sr5.15-30.33.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2018-1176
SUSE-SLE-SERVER-12-SP1-2018-1185
SUSE Linux Enterprise Server 12 SP2-LTSS
  • java-1_7_1-ibm >= 1.7.1_sr4.25-38.23.1
  • java-1_7_1-ibm-alsa >= 1.7.1_sr4.25-38.23.1
  • java-1_7_1-ibm-devel >= 1.7.1_sr4.25-38.23.1
  • java-1_7_1-ibm-jdbc >= 1.7.1_sr4.25-38.23.1
  • java-1_7_1-ibm-plugin >= 1.7.1_sr4.25-38.23.1
  • java-1_8_0-ibm >= 1.8.0_sr5.15-30.33.1
  • java-1_8_0-ibm-alsa >= 1.8.0_sr5.15-30.33.1
  • java-1_8_0-ibm-devel >= 1.8.0_sr5.15-30.33.1
  • java-1_8_0-ibm-plugin >= 1.8.0_sr5.15-30.33.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2018-1176
SUSE-SLE-SERVER-12-SP2-2018-1185
SUSE Linux Enterprise Server 12 SP3
  • java-1_7_1-ibm >= 1.7.1_sr4.25-38.23.1
  • java-1_7_1-ibm-alsa >= 1.7.1_sr4.25-38.23.1
  • java-1_7_1-ibm-jdbc >= 1.7.1_sr4.25-38.23.1
  • java-1_7_1-ibm-plugin >= 1.7.1_sr4.25-38.23.1
  • java-1_8_0-ibm >= 1.8.0_sr5.15-30.33.1
  • java-1_8_0-ibm-alsa >= 1.8.0_sr5.15-30.33.1
  • java-1_8_0-ibm-plugin >= 1.8.0_sr5.15-30.33.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2018-1176
SUSE-SLE-SERVER-12-SP3-2018-1185
SUSE Linux Enterprise Server 12-LTSS
  • java-1_7_1-ibm >= 1.7.1_sr4.25-38.23.1
  • java-1_7_1-ibm-alsa >= 1.7.1_sr4.25-38.23.1
  • java-1_7_1-ibm-devel >= 1.7.1_sr4.25-38.23.1
  • java-1_7_1-ibm-jdbc >= 1.7.1_sr4.25-38.23.1
  • java-1_7_1-ibm-plugin >= 1.7.1_sr4.25-38.23.1
Patchnames:
SUSE-SLE-SERVER-12-2018-1185
SUSE Linux Enterprise Software Development Kit 11 SP4
  • java-1_7_1-ibm >= 1.7.1_sr4.25-26.26.1
  • java-1_7_1-ibm-devel >= 1.7.1_sr4.25-26.26.1
Patchnames:
sdksp4-java-1_7_1-ibm-13624
SUSE Linux Enterprise Software Development Kit 12 SP3
  • java-1_7_1-ibm >= 1.7.1_sr4.25-38.23.1
  • java-1_7_1-ibm-devel >= 1.7.1_sr4.25-38.23.1
  • java-1_8_0-ibm >= 1.8.0_sr5.15-30.33.1
  • java-1_8_0-ibm-devel >= 1.8.0_sr5.15-30.33.1
Patchnames:
SUSE-SLE-SDK-12-SP3-2018-1176
SUSE-SLE-SDK-12-SP3-2018-1185
SUSE Linux Enterprise for SAP 12 SP1
  • java-1_7_1-ibm >= 1.7.1_sr4.25-38.23.1
  • java-1_7_1-ibm-alsa >= 1.7.1_sr4.25-38.23.1
  • java-1_7_1-ibm-devel >= 1.7.1_sr4.25-38.23.1
  • java-1_7_1-ibm-jdbc >= 1.7.1_sr4.25-38.23.1
  • java-1_7_1-ibm-plugin >= 1.7.1_sr4.25-38.23.1
  • java-1_8_0-ibm >= 1.8.0_sr5.15-30.33.1
  • java-1_8_0-ibm-alsa >= 1.8.0_sr5.15-30.33.1
  • java-1_8_0-ibm-devel >= 1.8.0_sr5.15-30.33.1
  • java-1_8_0-ibm-plugin >= 1.8.0_sr5.15-30.33.1
Patchnames:
SUSE-SLE-SAP-12-SP1-2018-1176
SUSE-SLE-SAP-12-SP1-2018-1185
SUSE Linux Enterprise for SAP 12 SP2
  • java-1_7_1-ibm >= 1.7.1_sr4.25-38.23.1
  • java-1_7_1-ibm-alsa >= 1.7.1_sr4.25-38.23.1
  • java-1_7_1-ibm-devel >= 1.7.1_sr4.25-38.23.1
  • java-1_7_1-ibm-jdbc >= 1.7.1_sr4.25-38.23.1
  • java-1_7_1-ibm-plugin >= 1.7.1_sr4.25-38.23.1
  • java-1_8_0-ibm >= 1.8.0_sr5.15-30.33.1
  • java-1_8_0-ibm-alsa >= 1.8.0_sr5.15-30.33.1
  • java-1_8_0-ibm-devel >= 1.8.0_sr5.15-30.33.1
  • java-1_8_0-ibm-plugin >= 1.8.0_sr5.15-30.33.1
Patchnames:
SUSE-SLE-SAP-12-SP2-2018-1176
SUSE-SLE-SAP-12-SP2-2018-1185
SUSE OpenStack Cloud 7
  • java-1_7_1-ibm >= 1.7.1_sr4.25-38.23.1
  • java-1_7_1-ibm-alsa >= 1.7.1_sr4.25-38.23.1
  • java-1_7_1-ibm-devel >= 1.7.1_sr4.25-38.23.1
  • java-1_7_1-ibm-jdbc >= 1.7.1_sr4.25-38.23.1
  • java-1_7_1-ibm-plugin >= 1.7.1_sr4.25-38.23.1
  • java-1_8_0-ibm >= 1.8.0_sr5.15-30.33.1
  • java-1_8_0-ibm-alsa >= 1.8.0_sr5.15-30.33.1
  • java-1_8_0-ibm-devel >= 1.8.0_sr5.15-30.33.1
  • java-1_8_0-ibm-plugin >= 1.8.0_sr5.15-30.33.1
Patchnames:
SUSE-OpenStack-Cloud-7-2018-1176
SUSE-OpenStack-Cloud-7-2018-1185


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 12 SP2 java-1_7_0-openjdk Unsupported
SUSE Linux Enterprise Desktop 12 SP2 java-1_8_0-openjdk Unsupported
SUSE Linux Enterprise Desktop 12 SP3 java-1_7_0-openjdk Affected
SUSE Linux Enterprise Desktop 12 SP3 java-1_8_0-openjdk Affected
SUSE Linux Enterprise Server 12 GA LTSS java-1_7_0-openjdk Affected
SUSE Linux Enterprise Server 12 SP1 LTSS java-1_7_0-openjdk Affected
SUSE Linux Enterprise Server 12 SP1 LTSS java-1_8_0-openjdk Affected
SUSE Linux Enterprise Server 12 SP2 java-1_7_0-openjdk Unsupported
SUSE Linux Enterprise Server 12 SP2 java-1_8_0-openjdk Unsupported
SUSE Linux Enterprise Server 12 SP2 LTSS java-1_7_0-openjdk Affected
SUSE Linux Enterprise Server 12 SP2 LTSS java-1_8_0-openjdk Affected
SUSE Linux Enterprise Server 12 SP3 java-1_7_0-openjdk Affected
SUSE Linux Enterprise Server 12 SP3 java-1_8_0-openjdk Affected